Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003814TestLinkKeywordspublic2010-09-28 13:592010-10-09 08:00
Reporterzener 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWinOS VersionWin7
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003814: 'And' doesn't work when filtering by keywords
Description'And' logical operation doesn't work when filtering by keywords. It return's the same result as 'Or'.
Steps To Reproduce1. Create two keywords: kw1 and kw2.
2. Create two testcases: tc1 and tc2.
3. Assign kw1 to tc1.
4. Assign kw1 and kw2 to tc2.
5. Select in the keywords list kw1 and kw2, select And radio button and click Apply.

Actual Result:
tc1 and tc2 are shown in the tree.

Expected result:
only tc2 should be shown.
Additional InformationAlso reproduced in RC1
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql 5.1.41
BrowserFF 3.6, IE8
PHP Version5.3.1
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0003818closedasimon Filtering Keywords on add/remove testcase is not working well 

-  Notes
(0011543)
asimon (developer)
2010-09-29 07:42

Fixed in CVS.
(0011734)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-28 13:59 zener New Issue
2010-09-29 07:42 asimon Note Added: 0011543
2010-09-29 07:42 asimon Status new => resolved
2010-09-29 07:42 asimon Fixed in Version => 1.9 RC 1
2010-09-29 07:42 asimon Resolution open => fixed
2010-09-29 07:42 asimon Assigned To => asimon
2010-10-01 06:56 asimon Relationship added has duplicate 0003818
2010-10-09 08:00 fman Note Added: 0011734
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker